Summary:	A remote desktop system for GNOME
Summary(pl.UTF-8):	System zdalnego pulpitu dla GNOME
Name:		vino
Version:	3.12.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vino/3.12/%{name}-%{version}.tar.xz
# Source0-md5:	24cc4b98eadfce724095f3db8af0dfe1
Patch0:		autostart-mate.patch
URL:		http://www.gnome.org/
BuildRequires:	NetworkManager-devel >= 0.7
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	avahi-devel >= 0.6.18
BuildRequires:	avahi-glib-devel >= 0.6.18
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnutls-devel >= 2.2.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libsecret-devel
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.18.0
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires(post,postun):	glib2 >= 1:2.26.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
Vino is a VNC server for GNOME. It allows remote users to connect to a
running GNOME session using VNC.

%description -l pl.UTF-8
Vino to serwer VNC dla GNOME. Pozwala zdalnym użytkownikom na łączenie
się z działającą sesją GNOME przy użyciu VNC.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ipv6 \
	--disable-schemas-compile \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/TODO docs/remote-desktop.txt
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/vino-server
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%{_datadir}/telepathy/clients/Vino.client
%{_sysconfdir}/xdg/autostart/vino-server.desktop
%{_datadir}/GConf/gsettings/org.gnome.Vino.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Vino.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Vino.gschema.xml
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vino.git;a=log;h=master

* Thu Apr 03 2014 Marcin Banasiak <marcin.banasiak@gmail.com> ac2dbcd
- Update to 3.12.0

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fd0a51b
- release 2 (by relup.sh)

* Mon Sep 30 2013 Artur Frysiak <artur@frysiak.net> 0215d51
- Up to 3.10.0

* Wed Apr 17 2013 Elan Ruusamäe <glen@delfi.ee> b75c882
- up to 3.8.1

* Sat Apr 13 2013 Elan Ruusamäe <glen@delfi.ee> 45c621c
- start also in MATE

* Sat Mar 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 3c5ba98
- Update to 3.8.0

* Tue Nov 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f24d51b
- Update to 3.6.2

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> bd65764
- Update to 3.6.1

* Thu Jun 21 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 8cd3169
- updated to 3.4.2

* Wed Apr 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> dbf866e
- updated to 3.4.1

* Fri Mar 30 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 68c8cb3
- updated to 3.4.0

* Mon Feb 13 2012 lisu <lisu@pld-linux.org> f8a4120
- up to 3.2.2

* Sun Oct 23 2011 Artur Frysiak <artur@frysiak.net> aab3fc9
- up to 3.2.1

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> 204b5f7
- merge from DEVEL

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f480cdd
- release 2

* Fri Jul 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 844a88a
- updated to 3.0.3

* Wed May 04 2011 marti <marti@pld-linux.org> d6c405e
- security fix for CVE-2011-0904 and CVE-2011-0905

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3e87fe3
- updated to 3.0.1

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 76d67be
- updated to 3.0.0; merged from DEVEL

* Fri Jan 14 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 6ddcdf0
- updated to 2.32.1

